require 'spec_helper'

describe "/maps/new.html.erb" do
  include MapsHelper

  before(:each) do
    assigns[:map] = stub_model(Map,
      :new_record? => true,
      :name => "value for name"
    )
  end

  it "renders new map form" do
    render

    response.should have_tag("form[action=?][method=post]", maps_path) do
      with_tag("input#map_name[name=?]", "map[name]")
    end
  end
end
